Subject: Re: [PATCH 1/5] convert_to_git(): checksafe becomes an integer

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Jan 2018 15:22:56 -0800

Lars Schneider <[email-masked]> writes:

>> On 31 Dec 2017, at 09:05, [email-masked] wrote:
>> 
>> From: Torsten Bögershausen <[email-masked]>
>> 
>> When calling convert_to_git(), the checksafe parameter has been used to
>> check if commit would give a non-roundtrip conversion of EOL.
>> 
>> When checksafe was introduced, 3 values had been in use:
>> SAFE_CRLF_FALSE: no warning
>> SAFE_CRLF_FAIL:  reject the commit if EOL do not roundtrip
>> SAFE_CRLF_WARN:  warn the user if EOL do not roundtrip
>
> In general, I really like the direction as this simplifies
> my patch later on in 5/5. However, I see a few problems:
> ...

Yes, this looks like a sensible way to go.  I saw Torsten's v3 for
1/5 but will end up queuing v2b, as I suspect 5/5 would need to be
adjusted for the change between the two versions.

Thanks.